# mcp_microservice v3.0.0 Documentation

## Table of Contents

- [Ideology and Architectural Principles](PROJECT_IDEOLOGY.md)
- [Class Examples (BaseCommand, Registry, Manager)](EXAMPLES_COMMAND_CLASSES.md)
- [Glossary of Terms](GLOSSARY.md)
- [Recommendations on Project Architecture and Structure](PROJECT_IDEOLOGY.md#recommended-project-structure-and-architectural-conventions)
- [Command Abstraction and Schema Formation](PROJECT_IDEOLOGY.md#command-abstraction-and-schema-formation)
- [Class Diagrams](CLASS_DIAGRAM.md) *(to be added)*

## Description

**mcp_microservice v3.0.0** — a microservice for integration with MCP Proxy. Automatic command registration, strict typing, schema generation, standard command support, and a unified JSON-RPC endpoint.

- For a quick start, familiarize yourself with the [ideology](PROJECT_IDEOLOGY.md) and [class examples](EXAMPLES_COMMAND_CLASSES.md).
- For definition searches, use the [glossary](GLOSSARY.md).
- To build your own commands, follow the architectural recommendations.

- Root README: [https://github.com/maverikod/vvz-mcp-proxy-adapter/blob/main/README.md](https://github.com/maverikod/vvz-mcp-proxy-adapter/blob/main/README.md) 