# Запросы API

## Формат запроса

Все запросы к API должны соответствовать спецификации JSON-RPC 2.0. Типичный запрос имеет следующую структуру:

```json
{
  "jsonrpc": "2.0",
  "method": "command_name",
  "params": {
    "param1": "value1",
    "param2": "value2"
  },
  "id": 1
}
```

### Обязательные поля

- `jsonrpc`: Должно быть точно "2.0"
- `method`: Имя выполняемой команды
- `id`: Уникальный идентификатор запроса (может быть строкой или числом)

### Опциональные поля

- `params`: Объект, содержащий параметры для команды

## Примеры запросов

### Простой запрос

```json
{
  "jsonrpc": "2.0",
  "method": "hello_world",
  "params": {
    "name": "User"
  },
  "id": 1
}
```

### Запрос без параметров

```json
{
  "jsonrpc": "2.0",
  "method": "get_status",
  "id": 2
}
```

## Пакетные запросы

API поддерживает пакетные запросы. Пакетный запрос - это массив отдельных запросов:

```json
[
  {
    "jsonrpc": "2.0",
    "method": "hello_world",
    "params": {
      "name": "User 1"
    },
    "id": 1
  },
  {
    "jsonrpc": "2.0",
    "method": "hello_world",
    "params": {
      "name": "User 2"
    },
    "id": 2
  }
]
```

Пакетные запросы обрабатываются в порядке их получения, и ответы возвращаются в том же порядке. 