# Справочник команд

Этот документ предоставляет обзор всех доступных команд в сервисе MCP Proxy.

## Доступные команды

| Команда | Описание | Параметры | Результат |
|---------|----------|-----------|-----------|
| [get_date](./get_date_command.md) | Возвращает текущую дату и время в формате ISO 8601 | нет | date |
| [new_uuid4](./new_uuid4_command.md) | Генерирует новый UUID версии 4 (случайный) | нет | uuid |

## Структура команды

Каждая команда в сервисе MCP Proxy следует согласованной структуре:

1. **Класс команды**: Реализует логику команды
2. **Класс результата**: Определяет структуру результата
3. **Валидация параметров**: Проверяет входные параметры
4. **Обработка ошибок**: Обрабатывает ошибки и исключения

## Выполнение команд

Команды могут быть выполнены через интерфейс JSON-RPC:

```json
{
  "jsonrpc": "2.0",
  "method": "command_name",
  "params": {
    "param1": "value1",
    "param2": "value2"
  },
  "id": 1
}
```

## Ответ команды

Успешное выполнение команды возвращает ответ с такой структурой:

```json
{
  "jsonrpc": "2.0",
  "result": {
    "field1": "value1",
    "field2": "value2"
  },
  "id": 1
}
```

## Добавление новых команд

Для добавления новой команды см. [Руководство по расширению проекта](../PROJECT_EXTENSION_GUIDE.md). 