# Документация примеров

В этом каталоге содержится документация для примеров микросервисов, созданных с использованием фреймворка MCP Microservice.

## Структура

Каждый пример документирован в отдельном файле, описывающем его архитектуру, назначение и использование.

## Доступные примеры

- [Минимальный пример](minimal_example.md) - Минимальный микросервис с одной командой
- [Базовый пример](basic_example.md) - Базовый микросервис с несколькими командами в отдельных файлах
- [Полный пример](complete_example.md) - Полный микросервис с поддержкой Docker
- [Анти-паттерны](anti_patterns.md) - Примеры анти-паттернов и плохих практик, которых следует избегать

## Как запустить примеры

Все примеры включены в пакет как часть кодовой базы. Вы можете импортировать и использовать их напрямую:

```python
import examples.minimal_example
import examples.basic_example
import examples.complete_example
```

Или запустить примеры серверов напрямую:

```bash
# Запуск минимального примера
python -m examples.minimal_example.simple_server

# Запуск базового примера
python -m examples.basic_example.server

# Запуск полного примера
python -m examples.complete_example.server
``` 